Skip to main content

Get account

GET

Returns the authentication key and sequence number for an account address. You can specify the ledger version of the transaction to query; if no ledger version is specified, the latest ledger version is returned.
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.
networkstringrequired
Parameter specifying the network of the target chain.
addressstringrequired
The address of the account to retrieve. Account addresses without the hexadecimal prefix can also be queried.
Query Parameters
ledger_versioninteger
The ledger version of the transaction to fetch account state from.If no value is provided, the latest version is used.
Responses
sequence_numberstring
A field representing the transaction occurrence order.Represents a 64-bit unsigned integer as a string.
authentication_keystring
All byte (Vec) data is expressed as a hex-encoded string starting with 0x, with two hex digits per byte.Unlike the Address type, HexEncodedBytes does not omit any zeros.
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "Bad Request"
}
cURL
curl -X GET 'https://aptos-mainnet.nodit.io/v1/accounts/0x1' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo'